# ApplicationFramework
TKLCAF
TNaming

# TNaming_Name Class Reference

`#include <TNaming_Name.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_Name ()
Standard_EXPORT void | Type (const TNaming_NameType aType)
Standard_EXPORT void | ShapeType (const TopAbs_ShapeEnum aType)
Standard_EXPORT void | Shape (const TopoDS_Shape &theShape)
Standard_EXPORT void | Append (const Handle(TNaming_NamedShape)&arg)
Standard_EXPORT void | StopNamedShape (const Handle(TNaming_NamedShape)&arg)
Standard_EXPORT void | Index (const Standard_Integer I)
Standard_EXPORT TNaming_NameType | Type () const
Standard_EXPORT TopAbs_ShapeEnum | ShapeType () const
Standard_EXPORT TopoDS_Shape | Shape () const
Standard_EXPORT const TNaming_ListOfNamedShape & | Arguments () const
Standard_EXPORT Handle_TNaming_NamedShape | StopNamedShape () const
Standard_EXPORT Standard_Integer | Index () const
Standard_EXPORT Standard_Boolean | Solve (const TDF_Label &aLab, const TDF_LabelMap &Valid) const
Standard_EXPORT void | Paste (TNaming_Name &into, const Handle(TDF_RelocationTable)&RT) const

## Private Attributes

TNaming_NameType | myType
TopAbs_ShapeEnum | myShapeType
TNaming_ListOfNamedShape | myArgs
Handle_TNaming_NamedShape | myStop
Standard_Integer | myIndex
TopoDS_Shape | myShape

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_Name::TNaming_Name | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TNaming_Name::Append | ( | const Handle(TNaming_NamedShape)& | arg | ) |

Standard_EXPORT const TNaming_ListOfNamedShape& TNaming_Name::Arguments | ( |  | ) | const

Standard_EXPORT Standard_Integer TNaming_Name::Index | ( |  | ) | const

Standard_EXPORT void TNaming_Name::Index | ( | const Standard_Integer | I | ) |

void TNaming_Name::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_Name::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_Name::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void TNaming_Name::Paste | ( | TNaming_Name & | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const

Standard_EXPORT TopoDS_Shape TNaming_Name::Shape | ( |  | ) | const

Standard_EXPORT void TNaming_Name::Shape | ( | const TopoDS_Shape & | theShape | ) |

Standard_EXPORT TopAbs_ShapeEnum TNaming_Name::ShapeType | ( |  | ) | const

Standard_EXPORT void TNaming_Name::ShapeType | ( | const TopAbs_ShapeEnum | aType | ) |

Standard_EXPORT Standard_Boolean TNaming_Name::Solve | ( | const TDF_Label & | aLab,
|  | const TDF_LabelMap & | Valid
| ) | const

Standard_EXPORT Handle_TNaming_NamedShape TNaming_Name::StopNamedShape | ( |  | ) | const

Standard_EXPORT void TNaming_Name::StopNamedShape | ( | const Handle(TNaming_NamedShape)& | arg | ) |

Standard_EXPORT TNaming_NameType TNaming_Name::Type | ( |  | ) | const

Standard_EXPORT void TNaming_Name::Type | ( | const TNaming_NameType | aType | ) |

## Field Documentation

TNaming_ListOfNamedShape TNaming_Name::myArgs `[private]`

Standard_Integer TNaming_Name::myIndex `[private]`

TopoDS_Shape TNaming_Name::myShape `[private]`

TopAbs_ShapeEnum TNaming_Name::myShapeType `[private]`

Handle_TNaming_NamedShape TNaming_Name::myStop `[private]`

TNaming_NameType TNaming_Name::myType `[private]`

The documentation for this class was generated from the following file:

- TNaming_Name.hxx